## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate chbs

Name:           rust-chbs
Version:        0.1.1
Release:        %autorelease
Summary:        Secure passphrase generation based on a wordlist

License:        MIT
URL:            https://crates.io/crates/chbs
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          chbs-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump derive_builder from 0.10 to 0.11
Patch:          chbs-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Crate providing secure passphrase generation based on a wordlist.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jan 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-2
- Bump derive_builder from 0.10 to 0.11

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-1
- Update to version 0.1.1; Fixes RHBZ#2109286

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-1
- Update to version 0.1.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 11 2020 Josh Stone <jistone@redhat.com> - 0.0.10-1
- Update to 0.0.10

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.0.9-1
- Update to 0.0.9

* Thu Dec 05 16:57:30 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.8-4
- Update dependencies

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 16:22:29 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.8-2
- Regenerate

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.8-1
- Initial package

